## qtcreator 8.0.1

=== debian/changelog ===
qtcreator (8.0.1-1build1) kinetic; urgency=medium

  * No change rebuild against qt6-base-abi = (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 19 Aug 2022 14:54:29 +0100

qtcreator (8.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 11 Aug 2022 21:13:30 +0200

qtcreator (8.0.0-3) unstable; urgency=medium

  * Team upload.
  * Add the qml6-module-qtqml-workerscript, and qml6-module-qtquick-layouts
    dependencies, needed in various QML sources; also add qt6-qpa-plugins,
    needed for the XCB base plugin. (Closes: #1016210)
  * Switch the qmlscene-qt6 recommend to qml-qt6, as that is actually what
    qtcreator uses when using Qt6.

 -- Pino Toscano <pino@debian.org>  Sat, 30 Jul 2022 08:06:55 +0200

qtcreator (8.0.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Fri, 29 Jul 2022 05:55:19 +0200

qtcreator (8.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch watch file back to stable releases.

 -- Pino Toscano <pino@debian.org>  Wed, 20 Jul 2022 19:04:38 +0200

qtcreator (8.0.0~rc1-2) experimental; urgency=medium

  * Team upload.
  * Pass --low-mem-die-limit 3000000 to dwz on some architectures (currently:
    armel armhf mipsel), as an attempt to complete the dwz processing without
    running into "out of memory" failures.

 -- Pino Toscano <pino@debian.org>  Fri, 08 Jul 2022 07:05:58 +0200

qtcreator (8.0.0~rc1-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jul 2022 20:31:08 +0200

qtcreator (8.0.0~beta2-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Update the build dependencies according to the upstream build system:
    - drop libicu-dev, no more used for many releases already
    - drop liblitehtml-dev, as the system version is not enough to replace the
      embedded copy
    - drop zlib1g-dev, not directly used
    - explicitly add python3, used during the build
  * Use a qtcreator-data.docs file to install the upstream changelog files,
    rather than passing all of them as arguments to dh_installdocs.
  * Limit the search of 'qmldir' files only to those executable, and make the
    chmod call verbose so it is easier to see whether there are any.

 -- Pino Toscano <pino@debian.org>  Tue, 28 Jun 2022 21:04:42 +0200

qtcreator (8.0.0~beta1-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Switch watch file to the unstable releases, mangling -beta/-rc in the
    version.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the patches:
    - upstream_Correctly-include-KSyntaxHighlighting-headers.patch: drop,
      backported from upstream
    - debian_paths.diff: refresh
  * Switch qtcreator to build with Qt6 instead of Qt5:
    - remove libkf5syntaxhighlighting-dev, libqt5opengl5-dev,
      libqt5serialport5-dev, libqt5sql5-sqlite, libqt5svg5-dev,
      libqt5x11extras5-dev, qml-module-qtquick-controls, qml-module-qtquick2,
      qtbase5-dev, qtbase5-private-dev, qtdeclarative5-dev,
      qtdeclarative5-private-dev, qtscript5-dev, qttools5-dev,
      qttools5-dev-tools, and qttools5-private-dev
    - add libqt6core5compat6-dev, libqt6opengl6-dev, libqt6quicktimeline6-dev,
      libqt6serialport6-dev, libqt6shadertools6-dev, libqt6svg6-dev,
      qt6-base-dev, qt6-base-private-dev, qt6-declarative-dev,
      qt6-declarative-private-dev, qt6-quick3d-dev, qt6-tools-dev, and
      qt6-tools-private-dev
    - stop exporting QT_SELECT, no more needed
    - replace libqt5designercomponents5 with libqt6designercomponents6 in the
      strict dependency for Designer bits
    - update the runtime dependencies/recommends/suggests:
      - switch libqt5sql5-sqlite to libqt6sql6-sqlite
      - switch qml-module-qtqml-models2 to qml6-module-qtqml-models
      - switch qml-module-qtquick-controls to qml6-module-qtquick-controls
      - switch qml-module-qtquick2 to qml6-module-qtquick
      - drop qtchooser, no more needed with Qt6
      - switch qmlscene to qmlscene-qt6
      - drop qt5-doc, there is no Qt6 equivalent in Debian yet
      - switch qtbase5-dev-tools to qt6-base-dev-tools
      - switch qtdeclarative5-dev-tools to qt6-declarative-dev-tools
      - switch qttools5-dev-tools to qt6-tools-dev-tools
      - switch qttranslations5-l10n to qt6-translations-l10n
    - remove the license files installed from the embedded copy of
      KSyntaxHighlighting
    - the switch enables the build of the QML Designer plugin, which is built
      only when using Qt >= 6.2.0 (Closes: #1006555)
  * qtcreator now uses clangd instead of libclang for the Clang code model:
    - add clangd >= 14 as dependency: the unversioned name is used, and the
      current requirement is 14+
    - stop depending on the version of clang-N used by the unversioned clang,
      as there is no more need for the exact Clang version to locale the Clang
      includes
    - add the same clangd version also as build dependency: while it is not
      needed at build time, it makes sure that qtcreator can be built only when
      the runtime clangd requirement is satisfied

 -- Pino Toscano <pino@debian.org>  Fri, 17 Jun 2022 20:16:14 +0200

qtcreator (7.0.2-2) unstable; urgency=medium

  * Team upload.
  * Backport part of upstream commit 4d9215e44d70c10be2c183592e8280c4d7292a83
    to fix the includes of KSyntaxHighlighting, so they work also with 5.94.0+;
    patch upstream_Correctly-include-KSyntaxHighlighting-headers.patch.
  * Remove inactive Uploaders.

 -- Pino Toscano <pino@debian.org>  Mon, 30 May 2022 19:22:51 +0200

qtcreator (7.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 24 May 2022 20:05:21 +0200


