## qtcreator 9.0.1

=== debian/changelog ===
qtcreator (9.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 15 Dec 2022 23:12:28 +0100

qtcreator (9.0.0-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Switch Vcs-* fields back to the 'master' packaging branch.

 -- Pino Toscano <pino@debian.org>  Thu, 01 Dec 2022 06:22:59 +0100

qtcreator (9.0.0-3) experimental; urgency=medium

  * Team upload.
  * When building with clang, force the v4 of the DWARF info: apparently the
    DWARF v5 that clang produces are not fully supported by dwz (see also
    #1016936):
    - append -gdwarf-4 to CFLAGS and CXXFLAGS

 -- Pino Toscano <pino@debian.org>  Mon, 28 Nov 2022 20:51:55 +0100

qtcreator (9.0.0-2) experimental; urgency=medium

  * Team upload.
  * Merge changes from 8.0.2-1.
  * Build using clang on mips64el, and mipsel, to workaround a GCC bug:
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=102602
    - point CC & CXX to clang
    - restore explicit as-needed linking, as it seems needed when using clang
    - disable the build with precompiled headers (PCH), as it is not working

 -- Pino Toscano <pino@debian.org>  Sun, 27 Nov 2022 13:53:28 +0100

qtcreator (9.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch watch file back to stable releases.

 -- Pino Toscano <pino@debian.org>  Thu, 24 Nov 2022 22:05:01 +0100

qtcreator (9.0.0~rc1-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Add the qt6-image-formats-plugins dependency to qtcreator-doc: some of the
    images are in webp format, and qt6-image-formats-plugins contains the Qt
    plugin to open them.

 -- Pino Toscano <pino@debian.org>  Sat, 12 Nov 2022 10:08:36 +0100

qtcreator (9.0.0~beta2-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Switch watch file to the unstable releases.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies according to the upstream build system:
    - bump all the Qt packages to 6.2, in case they did not have a version set
      already
  * Stop shipping the upstream changelogs in /usr/share/doc/qtcreator-data/,
    as upstream now installs them in /usr/share/qtcreator/changelog/, and they
    can be opened from the Help menu.

 -- Pino Toscano <pino@debian.org>  Sun, 30 Oct 2022 07:53:39 +0100

qtcreator (8.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop the qt6-qpa-plugins dependency, as the Qt6 6.3.1 packaging provides
    all the essential bits in library packages.
  * Remove breaks/replaces for versions older than oldstable.
  * Temporarily add the clang-tidy, and clang-tools build dependencies to
    workaround the broken CMake config files shipped in llvm-14-dev (which is
    the current version pulled by llvm-dev): it is still affected by #1021857,
    and the LLVM maintainers have not fixed it in testing for almost 2 months.

 -- Pino Toscano <pino@debian.org>  Sat, 26 Nov 2022 08:30:01 +0100
