=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
                debhelper-compat (= 13),
                libclang-dev (>= 1:10~),
                libdw-dev,
-               libqt6core5compat6-dev,
-               libqt6opengl6-dev,
-               libqt6quicktimeline6-dev,
-               libqt6serialport6-dev,
+               libqt6core5compat6-dev (>= 6.2~),
+               libqt6opengl6-dev (>= 6.2~),
+               libqt6quicktimeline6-dev (>= 6.2~),
+               libqt6serialport6-dev (>= 6.2~),
                libqt6shadertools6-dev (>= 6.2.4-2~),
-               libqt6svg6-dev,
+               libqt6svg6-dev (>= 6.2~),
                libyaml-cpp-dev (>= 0.5~),
                libzstd-dev,
                llvm-dev (>= 1:10~),
@@ -23,11 +23,14 @@
                python3:any,
                qt6-base-dev (>= 6.2.4+dfsg-3~),
                qt6-base-private-dev (>= 6.2.4+dfsg-3~),
-               qt6-declarative-dev,
-               qt6-declarative-private-dev,
+               qt6-declarative-dev (>= 6.2~),
+               qt6-declarative-private-dev (>= 6.2~),
                qt6-quick3d-dev (>= 6.2.4-2~),
                qt6-tools-dev (>= 6.2.4-2~),
                qt6-tools-private-dev (>= 6.2.4-2~),
+# workaround dependency issues in llvm (#1021857)
+               clang-tidy,
+               clang-tools,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/topics-app-development.html
@@ -43,7 +46,6 @@
          qml6-module-qtquick-controls,
          qml6-module-qtquick-layouts,
          qml6-module-qtquick,
-         qt6-qpa-plugins,
          qtcreator-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -60,8 +62,6 @@
             xterm | x-terminal-emulator
 Suggests: clazy (>= 1.5), cmake, g++, git, meson, subversion, valgrind,
           python3-pylsp,
-Breaks: qtcreator-data (<< 4.5.2-2~)
-Replaces: qtcreator-data (<< 4.5.2-2~)
 Description: integrated development environment (IDE) for Qt
  Qt Creator is a cross-platform integrated development environment (IDE)
  designed to make development with the Qt application framework faster
@@ -88,7 +88,8 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}
+Depends: qt6-image-formats-plugins,
+         ${misc:Depends},
 Description: documentation for Qt Creator IDE
  Qt Creator is a cross-platform integrated development environment (IDE)
  designed to make development with the Qt application framework faster
