=== src/libs/nanotrace/CMakeLists.txt ===

add_qtc_library(Nanotrace
    BUILD_DEFAULT OFF
    DEFINES NANOTRACE_LIBRARY
    PUBLIC_DEFINES NANOTRACE_ENABLED
    SOURCES nanotrace.cpp nanotrace.h
  PROPERTIES
    CXX_VISIBILITY_PRESET default
    VISIBILITY_INLINES_HIDDEN OFF
)
