=== debian/changelog ===
qtcreator (9.0.2-2) unstable; urgency=medium

  * Fix search path for qdoc (Closes: #1031893).
    Thanks Pino Toscano for the help!

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 27 Feb 2023 13:12:24 -0300

qtcreator (9.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 22 Feb 2023 19:22:48 +0100

qtcreator (9.0.1-2) unstable; urgency=medium

  * Team upload.
  * Drop the clang-tidy, and clang-tools build dependencies: finally LLVM 14
    was fixed.
  * Update standards version to 4.6.2, no changes needed.

 -- Pino Toscano <pino@debian.org>  Sat, 04 Feb 2023 12:58:56 +0100
