=== debian/control ===
--- 
+++ 
@@ -28,10 +28,7 @@
                qt6-quick3d-dev (>= 6.2.4-2~),
                qt6-tools-dev (>= 6.2.4-2~),
                qt6-tools-private-dev (>= 6.2.4-2~),
-# workaround dependency issues in llvm (#1021857)
-               clang-tidy,
-               clang-tools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/topics-app-development.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtcreator.git
