=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,16 @@
 archs_with_dwz_low_mem = armel armhf mipsel
 dwz_low_mem = 3000000
 
+archs_using_clang = mips64el mipsel
+ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(archs_using_clang)))
+export CC=clang
+export CXX=clang++
+export DEB_CFLAGS_MAINT_APPEND := -gdwarf-4
+export DEB_CXXFLAGS_MAINT_APPEND := -gdwarf-4
+export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
+EXTRA_CMAKE_ARGS += -DBUILD_WITH_PCH=OFF
+endif
+
 %:
 	dh $@ --builddirectory=builddir
 
@@ -29,7 +39,8 @@
 		-DWITH_TESTS=OFF \
 		-DBUILD_TESTING=OFF \
 		-DCLANGTOOLING_LINK_CLANG_DYLIB=ON \
-		-DWITH_DOCS=$(if $(filter qtcreator-doc, $(shell dh_listpackages)),ON,OFF)
+		-DWITH_DOCS=$(if $(filter qtcreator-doc, $(shell dh_listpackages)),ON,OFF) \
+		$(EXTRA_CMAKE_ARGS)
 
 execute_after_dh_auto_build-indep:
 	dh_auto_build -- docs
