## qtcreator 10.0.2

=== debian/changelog ===
qtcreator (10.0.2-4) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Revert the changes done in 10.0.2-2 and 10.0.2-3:
    - first of all, they were uploaded totally untested, unreviewed, as
      "team upload", whereas they were effectively NMUs, as Gianfranco is not
      part of the team
    - the fix-yaml-cpp-search.patch patch is an own creation not forwarded
      upstream
    - the nonsense in dh_auto_clean, i.e. removing cmake/Findyaml-cpp.cmake,
      causes the above patch to even not work at all
  * Backport upstream commit 170f9acfb41704b68e2ba98690fd6d5e98addd85 to find
    yaml-cpp 0.8; patch upstream_ClangTools-Add-support-for-yaml-cpp-0.8.patch.
    (Closes: #1050367)
  * Drop build tweaks for mipsel, as that architecture was recently
    discontinued.
  * Update lintian overrides.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update Qt packages listed as build dependencies that have changed their
    name.

 -- Pino Toscano <pino@debian.org>  Sun, 27 Aug 2023 20:45:25 +0200

qtcreator (10.0.2-3) unstable; urgency=medium

  * Team upload.
  * Fix yaml-cpp find and link with a non-retro-compatible patch.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 24 Aug 2023 11:15:57 +0200

qtcreator (10.0.2-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Remove cmake/Findyaml-cpp.cmake for compatibility with the new yaml-cpp
    (Closes: #1050367).

  [ Simon Quigley ]
  * Ack and team upload, thanks Gianfranco!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Aug 2023 19:24:47 -0500

qtcreator (10.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 17 Jun 2023 04:50:32 +0200

qtcreator (10.0.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Switch Vcs-* fields back to the 'master' packaging branch.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Jun 2023 21:05:01 +0200

qtcreator (10.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 07 May 2023 08:44:11 +0200

qtcreator (10.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch watch file back to stable releases.
  * The usage of libdebuginfod seems to have been dropped, so:
    - drop the patch cmake_libdebuginfod.diff, no more needed
    - drop the libdebuginfod-dev build dependency

 -- Pino Toscano <pino@debian.org>  Thu, 30 Mar 2023 08:31:13 +0200

qtcreator (10.0.0~rc1-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Update the patches:
    - fix_qdoc_search_patch.patch: drop, fixed upstream

 -- Pino Toscano <pino@debian.org>  Thu, 16 Mar 2023 15:20:39 +0100

qtcreator (10.0.0~beta2-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Merge changes from 9.0.2-1, and 9.0.2-2:
    - refresh patch fix_qdoc_search_patch.patch

 -- Pino Toscano <pino@debian.org>  Thu, 02 Mar 2023 16:43:13 +0100

qtcreator (10.0.0~beta1-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Switch watch file to the unstable releases.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies according to the upstream build system:
    - add libdebuginfod-dev
  * Properly find the debuginfod library using cmake, to link against it when
    using newer versions of elfutils; patch cmake_libdebuginfod.diff.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Feb 2023 21:12:16 +0100
